Name:               opencryptoki
Version:            3.10.0
Release:            3
Summary:            PKCS#11 library and tools for Linux
License:            CPL
URL:                http://sourceforge.net/projects/opencryptoki
Source0:            https://github.com/opencryptoki/opencryptoki/archive/v%{version}/opencryptoki-%{version}.tar.gz
BuildRequires:      openssl-devel trousers-devel openldap-devel autoconf automake libtool
BuildRequires:      bison flex systemd libitm-devel
Requires(pre):      coreutils shadow-utils
Requires(post):     systemd
Requires(preun):    systemd
Requires(postun):   systemd

Provides:           opencryptoki-libs = %{version}-%{release}
Obsoletes:          opencryptoki-libs < %{version}-%{release}
Provides:           opencryptoki(token)
Provides:           opencryptoki-swtok = %{version}-%{release}
Obsoletes:          opencryptoki-swtok < %{version}-%{release}
Provides:           opencryptoki-tpmtok = %{version}-%{release}
Obsoletes:          opencryptoki-tpmtok < %{version}-%{release}
Provides:           opencryptoki-icsftok = %{version}-%{release}
Obsoletes:          opencryptoki-icsftok < %{version}-%{release}

%description
openCryptoki is an implementation of the PKCS #11 API that allows interfacing to devices
that hold cryptographic information and perform cryptographic functions.
openCryptoki provides application portability by isolating the application
from the details of the cryptographic device.
Isolating the application also provides an added level of security.
The openCryptoki API provides a standard programming interface between applications
and all kinds of portable cryptographic devices.


%package            devel
Summary:            Development files for openCryptoki
Requires:           opencryptoki = %{version}-%{release}

%description        devel
This package provides development and header files for building
opencryptoki and PKCS#11 based applications.

%package            help
Summary:            Document for openCryptoki

%description        help
Document for openCryptoki.

%prep
%autosetup -p1


%build
./bootstrap.sh
%configure --with-systemd=%{_unitdir} --enable-locks\
    --disable-icatok --disable-ccatok --disable-ep11tok --disable-pkcsep11_migrate --disable-pkcscca_migrate

%make_build CHGRP=/bin/true


%install
%make_install CHGRP=/bin/true


%pre
getent group pkcs11 >/dev/null || groupadd -r pkcs11
exit 0

%post
%systemd_post pkcsslotd.service

%preun
%systemd_preun pkcsslotd.service

%postun
%systemd_postun_with_restart pkcsslotd.service


%files
%license LICENSE
%dir %{_sysconfdir}/opencryptoki
%dir %{_libdir}/opencryptoki
%dir %{_libdir}/opencryptoki/stdll
%dir %{_libdir}/pkcs11
%{_sysconfdir}/ld.so.conf.d/*
%{_libdir}/opencryptoki/*
%{_libdir}/pkcs11/*
%{_localstatedir}/log/opencryptoki
%config(noreplace) %{_sysconfdir}/opencryptoki/opencryptoki.conf
%{_prefix}/lib/tmpfiles.d/opencryptoki.conf
%{_unitdir}/pkcsslotd.service
%{_sbindir}/*
%dir %attr(770,root,pkcs11) %{_sharedstatedir}/opencryptoki
%dir %attr(770,root,pkcs11) %{_localstatedir}/lock/opencryptoki
%dir %attr(770,root,pkcs11) %{_localstatedir}/lock/opencryptoki/*
%dir %attr(770,root,pkcs11) %{_sharedstatedir}/opencryptoki/swtok/
%dir %attr(770,root,pkcs11) %{_sharedstatedir}/opencryptoki/swtok/TOK_OBJ/
%dir %attr(770,root,pkcs11) %{_sharedstatedir}/opencryptoki/tpm/
%dir %attr(770,root,pkcs11) %{_sharedstatedir}/opencryptoki/icsf/
%exclude %{_libdir}/opencryptoki/*.la
%exclude %{_libdir}/opencryptoki/stdll/*.la


%files devel
%{_includedir}/opencryptoki/

%files help
%doc ChangeLog FAQ README.md
%doc doc/opencryptoki-howto.md
%doc doc/README.token_data
%doc doc/README.tpm_stdll
%doc doc/README.icsf_stdll
%{_mandir}/*


%changelog
* Fri Feb 28 2020 zhujunhao <zhujunhao5@huawei.com> - 3.10.0-3
- Package init
